curl --request PUT \
--url https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id} \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"active": true,
"service_alias": "<string>",
"params": {
"origin_zipcode": "<string>",
"api_key": "<string>"
}
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}"
payload = {
"active": True,
"service_alias": "<string>",
"params": {
"origin_zipcode": "<string>",
"api_key": "<string>"
}
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
active: true,
service_alias: '<string>',
params: {origin_zipcode: '<string>', api_key: '<string>'}
})
};
fetch('https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'active' => true,
'service_alias' => '<string>',
'params' => [
'origin_zipcode' => '<string>',
'api_key' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}"
payload := strings.NewReader("{\n \"active\": true,\n \"service_alias\": \"<string>\",\n \"params\": {\n \"origin_zipcode\": \"<string>\",\n \"api_key\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"active\": true,\n \"service_alias\": \"<string>\",\n \"params\": {\n \"origin_zipcode\": \"<string>\",\n \"api_key\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"active\": true,\n \"service_alias\": \"<string>\",\n \"params\": {\n \"origin_zipcode\": \"<string>\",\n \"api_key\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"service_alias": "<string>",
"store_id": "1",
"active": true,
"auto_send": true,
"params": {
"origin_zipcode": "14940000",
"api_key": "api_key"
},
"auth_params": "<string>",
"hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Atualizar configuração de um serviço
Atualiza as configurações para um serviço específico
curl --request PUT \
--url https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id} \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"active": true,
"service_alias": "<string>",
"params": {
"origin_zipcode": "<string>",
"api_key": "<string>"
}
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}"
payload = {
"active": True,
"service_alias": "<string>",
"params": {
"origin_zipcode": "<string>",
"api_key": "<string>"
}
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
active: true,
service_alias: '<string>',
params: {origin_zipcode: '<string>', api_key: '<string>'}
})
};
fetch('https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'active' => true,
'service_alias' => '<string>',
'params' => [
'origin_zipcode' => '<string>',
'api_key' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}"
payload := strings.NewReader("{\n \"active\": true,\n \"service_alias\": \"<string>\",\n \"params\": {\n \"origin_zipcode\": \"<string>\",\n \"api_key\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"active\": true,\n \"service_alias\": \"<string>\",\n \"params\": {\n \"origin_zipcode\": \"<string>\",\n \"api_key\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/config/services/{serviceAlias}/settings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"active\": true,\n \"service_alias\": \"<string>\",\n \"params\": {\n \"origin_zipcode\": \"<string>\",\n \"api_key\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"service_alias": "<string>",
"store_id": "1",
"active": true,
"auto_send": true,
"params": {
"origin_zipcode": "14940000",
"api_key": "api_key"
},
"auth_params": "<string>",
"hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Path Parameters
Alias da loja
Alias do serviço
ID da configuração
Body
Representa os dados necessários para criar ou atualizar uma configuração de serviço
Response
Configuração do serviço atualizado com sucesso
Configuração de um serviço externo integrado à loja.
ID da configuração do serviço.
Alias do serviço integrado (ex.: google_analytics, shopifyapp, tiny).
ID da loja dona da configuração.
"1"
Indica se a integração com o serviço está ativa.
Indica se os dados são enviados automaticamente ao serviço.
Parâmetros de configuração do serviço, retornados apenas para o dono da loja em requisições de serviços confiáveis.
Show child attributes
Show child attributes
Parâmetros de autenticação do serviço, retornados apenas para o dono da loja em requisições de serviços confiáveis.
Hash de identificação da configuração, usado para referenciá-la sem expor o ID interno.
Data e hora de criação da configuração.
Data e hora da última atualização da configuração.
Was this page helpful?